<?php
/*
Plugin Name: Embed Polls
Plugin URI: http://reimsreview.weebly.com
Description: Embed Polls easily on your Wordpress website. Keep in touch with your audience by asking them a questions of your choice.
Version: 1.1
Author: Jimmy Reims
License: GPL3
*/

/*  Copyright 2014  Jimmy Reims (email : jimmyreimsmsg@mail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

function enqueue_reimsem() {
	wp_enqueue_script('reimsem_embed', 'https://reimsreview.weebly.com/js/widgets.js', null, '1.00');
}

add_shortcode("reimsem", "reimsem_handler");

function reimsem_handler($attrs) {

	$attrs = shortcode_atts(array(
		"id" => "52dc9862da36f6020000000c"
	), $attrs);
	
	$reimsem_output = '<noscript><a href="https://www.reimsems.com/question/' . $attrs['id'] . '">Vote on our poll!</a></noscript><div class="reimsem-widget" wd-pending wd-type="embed" wd-version="v1" id="' . $attrs['id'] . '" style="max-width: 720px;"></div>';
	
	return $reimsem_output;
}

wp_embed_register_handler( 'reimsem', '#http(s?)://(www\.)?reimsems\.com/question/(.*)#i', 'wp_embed_handler_reimsem', 1);

function wp_embed_handler_reimsem( $matches, $attr, $url, $rawattr ) {
	
	$embed = sprintf(
				'<noscript><a href="https://www.reimsems.com/question/%1$s">Vote on our poll!</a></noscript><div class="reimsem-widget" wd-pending wd-type="embed" wd-version="v1" id="%1$s" style="max-width: 720px;"></div>', $matches[3]);

	return apply_filters( 'embed_reimsem', $embed, $matches, $attr, $url, $rawattr );
}

function has_reimsem($posts) {
	if (empty($posts)) {
		return $posts;
	}
	
	$shortcode_found = false;
	
	foreach ($posts as $post) {
		if ( !(stripos($post->post_content, '[reimsem') === false) || preg_match('#http(s?)://(www\.)?reimsems\.com/question/(.*)#i', $post->post_content)) {
			$shortcode_found = true;
			break;
		}
	}
	
	if ($shortcode_found) {
		add_action('wp_enqueue_scripts', 'enqueue_reimsem');
	}
	
	return $posts;
}

add_action('the_posts', 'has_reimsem');
